import { LRLanguage, LanguageSupport } from "@codemirror/language";
import { Diagnostic } from "@codemirror/lint";
import { EditorView } from "@codemirror/view";
declare const ednLanguage: LRLanguage;
declare function edn(): LanguageSupport;
/// Calls
/// [`JSON.parse`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/parse)
/// on the document and, if that throws an error, reports it as a
/// single diagnostic.
declare const ednParseLinter: () => (view: EditorView) => Diagnostic[];
export { ednLanguage, edn, ednParseLinter };
